<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>XSSFExportToXml (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="XSSFExportToXml (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/XSSFExportToXml.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/xssf/extractor/XSSFExcelExtractor.html"
               title="class in org.apache.poi.xssf.extractor"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/xssf/extractor/XSSFImportFromXML.html"
               title="class in org.apache.poi.xssf.extractor"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/xssf/extractor/XSSFExportToXml.html"
               target="_top">Frames</a></li>
        <li><a href="XSSFExportToXml.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.xssf.extractor</div>
    <h2 title="Class XSSFExportToXml" class="title">Class XSSFExportToXml</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>org.apache.poi.xssf.extractor.XSSFExportToXml</li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Implemented Interfaces:</dt>
                    <dd>java.util.Comparator&lt;java.lang.String&gt;</dd>
                </dl>
                <hr>
                <br>
                <pre>public class <span class="typeNameLabel">XSSFExportToXml</span>
extends java.lang.Object
implements java.util.Comparator&lt;java.lang.String&gt;</pre>
                <div class="block">Maps an XLSX to an XML according to one of the mapping defined.


                    The output XML Schema must respect this limitations:

                    <ul>
                        <li> all mandatory elements and attributes must be mapped (enable validation to check this)</li>

                        <li> no &lt;any&gt; in complex type/element declaration</li>
                        <li> no &lt;anyAttribute&gt; attributes declaration</li>
                        <li> no recursive structures: recursive structures can't be nested more than one level</li>
                        <li> no abstract elements: abstract complex types can be declared but must not be used in
                            elements.
                        </li>
                        <li> no mixed content: an element can't contain simple text and child element(s) together</li>
                        <li> no &lt;substitutionGroup&gt; in complex type/element declaration</li>
                    </ul>
                </div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/extractor/XSSFExportToXml.html#XSSFExportToXml-org.apache.poi.xssf.usermodel.XSSFMap-">XSSFExportToXml</a></span>(<a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFMap.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFMap</a>&nbsp;map)</code>
                                    <div class="block">Creates a new exporter and sets the mapping to be used when
                                        generating the XML output document
                                    </div>
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/extractor/XSSFExportToXml.html#compare-java.lang.String-java.lang.String-">compare</a></span>(java.lang.String&nbsp;leftXpath,
                                    java.lang.String&nbsp;rightXpath)</code>
                                    <div class="block">Compares two xpaths to define an ordering according to the XML
                                        Schema
                                    </div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/extractor/XSSFExportToXml.html#exportToXML-java.io.OutputStream-boolean-">exportToXML</a></span>(java.io.OutputStream&nbsp;os,
                                    boolean&nbsp;validate)</code>
                                    <div class="block">Exports the data in an XML stream</div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/extractor/XSSFExportToXml.html#exportToXML-java.io.OutputStream-java.lang.String-boolean-">exportToXML</a></span>(java.io.OutputStream&nbsp;os,
                                    java.lang.String&nbsp;encoding,
                                    boolean&nbsp;validate)</code>
                                    <div class="block">Exports the data in an XML stream</div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.util.Comparator">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from interface&nbsp;java.util.Comparator</h3>
                                <code>comparing, comparing, comparingDouble, comparingInt, comparingLong, equals,
                                    naturalOrder, nullsFirst, nullsLast, reversed, reverseOrder, thenComparing,
                                    thenComparing, thenComparing, thenComparingDouble, thenComparingInt,
                                    thenComparingLong</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="XSSFExportToXml-org.apache.poi.xssf.usermodel.XSSFMap-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>XSSFExportToXml</h4>
                                <pre>public&nbsp;XSSFExportToXml(<a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFMap.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFMap</a>&nbsp;map)</pre>
                                <div class="block">Creates a new exporter and sets the mapping to be used when
                                    generating the XML output document
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>map</code> - the mapping rule to be used</dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="exportToXML-java.io.OutputStream-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>exportToXML</h4>
                                <pre>public&nbsp;void&nbsp;exportToXML(java.io.OutputStream&nbsp;os,
                        boolean&nbsp;validate)
                 throws org.xml.sax.SAXException,
                        javax.xml.transform.TransformerException</pre>
                                <div class="block">Exports the data in an XML stream</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>os</code> - OutputStream in which will contain the output XML</dd>
                                    <dd><code>validate</code> - if true, validates the XML against the XML Schema</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>org.xml.sax.SAXException</code> - If validating the document fails</dd>
                                    <dd><code>javax.xml.transform.TransformerException</code> - If transforming the
                                        document fails
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="exportToXML-java.io.OutputStream-java.lang.String-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>exportToXML</h4>
                                <pre>public&nbsp;void&nbsp;exportToXML(java.io.OutputStream&nbsp;os,
                        java.lang.String&nbsp;encoding,
                        boolean&nbsp;validate)
                 throws org.xml.sax.SAXException,
                        javax.xml.transform.TransformerException</pre>
                                <div class="block">Exports the data in an XML stream</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>os</code> - OutputStream in which will contain the output XML</dd>
                                    <dd><code>encoding</code> - the output charset encoding</dd>
                                    <dd><code>validate</code> - if true, validates the XML against the XML Schema</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>org.xml.sax.SAXException</code> - If validating the document fails</dd>
                                    <dd><code>javax.xml.transform.TransformerException</code> - If transforming the
                                        document fails
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="compare-java.lang.String-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>compare</h4>
                                <pre>public&nbsp;int&nbsp;compare(java.lang.String&nbsp;leftXpath,
                   java.lang.String&nbsp;rightXpath)</pre>
                                <div class="block">Compares two xpaths to define an ordering according to the XML
                                    Schema
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code>compare</code>&nbsp;in interface&nbsp;<code>java.util.Comparator&lt;java.lang.String&gt;</code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/XSSFExportToXml.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/xssf/extractor/XSSFExcelExtractor.html"
               title="class in org.apache.poi.xssf.extractor"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/xssf/extractor/XSSFImportFromXML.html"
               title="class in org.apache.poi.xssf.extractor"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/xssf/extractor/XSSFExportToXml.html"
               target="_top">Frames</a></li>
        <li><a href="XSSFExportToXml.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
